---
title: Screen
slug: Web/API/Screen
tags:
  - API
  - CSSOM View
  - Interface
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code>Screen</code> interface represents a screen, usually the one on which the current window is being rendered, and is obtained using {{DOMxRef("window.screen")}}.</p>

<p>Note that browsers determine which screen to report as current by detecting which screen has the center of the browser window.</p>

<h2 id="Example">Properties</h2>

<dl>
 <dt>{{DOMxRef("Screen.availTop")}} {{Non-standard_Inline}}</dt>
 <dd>Specifies the y-coordinate of the first pixel that is not allocated to permanent or semipermanent user interface features.</dd>
 <dt>{{DOMxRef("Screen.availLeft")}} {{Non-standard_Inline}}</dt>
 <dd>Returns the first available pixel available from the left side of the screen.</dd>
 <dt>{{DOMxRef("Screen.availHeight")}}</dt>
 <dd>Specifies the height of the screen, in pixels, minus permanent or semipermanent user interface features displayed by the operating system, such as the Taskbar on Windows.</dd>
 <dt>{{DOMxRef("Screen.availWidth")}}</dt>
 <dd>Returns the amount of horizontal space in pixels available to the window.</dd>
 <dt>{{DOMxRef("Screen.colorDepth")}}</dt>
 <dd>Returns the color depth of the screen.</dd>
 <dt>{{DOMxRef("Screen.height")}}</dt>
 <dd>Returns the height of the screen in pixels.</dd>
 <dt>{{DOMxRef("Screen.left")}} {{Non-standard_Inline}}</dt>
 <dd>Returns the distance in pixels from the left side of the main screen to the left side of the current screen.</dd>
 <dt>{{DOMxRef("Screen.orientation")}}</dt>
 <dd>Returns the {{DOMxRef("ScreenOrientation")}} instance associated with this screen.</dd>
 <dt>{{DOMxRef("Screen.pixelDepth")}}</dt>
 <dd>Gets the bit depth of the screen.</dd>
 <dt>{{DOMxRef("Screen.top")}} {{Non-standard_Inline}}</dt>
 <dd>Returns the distance in pixels from the top side of the current screen.</dd>
 <dt>{{DOMxRef("Screen.width")}}</dt>
 <dd>Returns the width of the screen.</dd>
 <dt>{{DOMxRef("Screen.mozEnabled")}} {{Non-standard_Inline}} {{Deprecated_Inline}}{{Gecko_MinVersion_Inline(12)}}</dt>
 <dd>Boolean. Setting to false will turn off the device's screen.</dd>
 <dt>{{DOMxRef("Screen.mozBrightness")}} {{Non-standard_Inline}} {{Deprecated_Inline}}{{Gecko_MinVersion_Inline(12)}}</dt>
 <dd>Controls the brightness of a device's screen. A double between 0 and 1.0 is expected.</dd>
</dl>

<h3 id="Events_handler">Events handler</h3>

<dl>
 <dt>{{DOMxRef("Screen.onorientationchange")}} {{Deprecated_Inline}}</dt>
 <dd>A handler for the {{Event("orientationchange")}} event.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("Screen.lockOrientation")}}</dt>
 <dd>Lock the screen orientation (only works in fullscreen or for installed apps)</dd>
 <dt>{{DOMxRef("Screen.unlockOrientation")}}</dt>
 <dd>Unlock the screen orientation (only works in fullscreen or for installed apps)</dd>
</dl>

<p><em>Methods inherited from {{DOMxRef("EventTarget")}}:</em></p>

<p>{{Page("/en-US/docs/Web/API/EventTarget", "Methods")}}</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (screen.pixelDepth &lt; 8) {
  // use low-color version of page
} else {
  // use regular, colorful page
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM View", "#the-screen-interface", "Screen")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen")}}</p>
